## ros-one-speed-scaling-interface 0.1.1-5jammy.20251023.0040

=== debian/changelog ===
ros-one-speed-scaling-interface (0.1.1-5jammy.20251023.0040) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <exner@fzi.de>  Thu, 23 Oct 2025 00:40:32 +0000

ros-one-speed-scaling-interface (0.1.1-0jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-speed-scaling-interface (0.1.0-0jammy) jammy; urgency=high

  * Moved speed scaling interface to own package
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Thu, 10 Jun 2021 00:00:00 -0000

## ros-one-speed-scaling-interface 0.1.1-5jammy.20260220.2138

=== debian/changelog ===
ros-one-speed-scaling-interface (0.1.1-5jammy.20260220.2138) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <exner@fzi.de>  Fri, 20 Feb 2026 21:38:40 +0000

## ros-one-speed-scaling-interface 0.1.1-5noble.20251023.0039

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(speed_scaling_interface)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  hardware_interface
  roscpp
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS
    hardware_interface
    roscpp
  )


#############
## Install ##
#############

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-one-speed-scaling-interface (0.1.1-5noble.20251023.0039) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <exner@fzi.de>  Thu, 23 Oct 2025 00:39:11 +0000

ros-one-speed-scaling-interface (0.1.1-0noble) noble; urgency=high



 -- Felix Exner <exner@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-speed-scaling-interface (0.1.0-0noble) noble; urgency=high

  * Moved speed scaling interface to own package
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Thu, 10 Jun 2021 00:00:00 -0000

=== debian/control ===
Source: ros-one-speed-scaling-interface
Section: misc
Priority: optional
Maintainer: Felix Exner <exner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-hardware-interface, ros-one-roscpp
Homepage: http://wiki.ros.org/speed_scaling_interface
Standards-Version: 3.9.2

Package: ros-one-speed-scaling-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-hardware-interface, ros-one-roscpp
Description: Hardware interface reading a scalar value from robot hardware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-speed-scaling-interface//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-speed-scaling-interface 0.1.1-5noble.20260220.2145

=== debian/changelog ===
ros-one-speed-scaling-interface (0.1.1-5noble.20260220.2145) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <exner@fzi.de>  Fri, 20 Feb 2026 21:45:16 +0000
